searchNodes=[{"doc":"An element providing speech recognition via Google Cloud Speech To Text service using Streaming API. The element has to handle a connection time limit (currently 5 minutes). It does that by spawning multiple streaming clients - the streaming is stopped after streaming_time_limit (see t/0 ) and a new client that starts streaming is spawned. The old one is kept alive for results_await_time and will receive recognition results for the streamed audio. This means that first results from the new client might arrive before the last result from an old client. Bear in mind that streaming_time_limit + results_await_time must be smaller than recognition time limit for Google Streaming API (currently 5 minutes) Element options Passed via struct Membrane.Element.GCloud.SpeechToText.t/0 language_code String . t ( ) Default value: &quot;en-US&quot; The language of the supplied audio. See Language Support for a list of supported languages codes. interim_results boolean ( ) Default value: false If set to true, the interim results may be returned by recognition API. See Google API docs for more info. word_time_offsets boolean ( ) Default value: false If true , the top result includes a list of words and the start and end time offsets (timestamps) for those words. speech_contexts [ % SpeechContext { } ] Default value: [] A list of speech recognition contexts. See the docs for more info. model :default | :video | :phone_call | :command_and_search Default value: :default Model used for speech recognition. Bear in mind that :video model is a premium model that costs more than the standard rate. streaming_time_limit Time . t ( ) Default value: 200000000000 Determines how much audio can be sent to recognition API in one client session. After this time, a new client session is created while the old one is kept alive for some time to receive recognition results. Bear in mind that streaming_time_limit + results_await_time must be smaller than recognition time limit for Google Streaming API (currently 5 minutes) results_await_time Time . t ( ) Default value: 90000000000 The amount of time a client that stopped streaming is kept alive awaiting results from recognition API. reconnection_overlap_time Time . t ( ) Default value: 2000000000 Duration of audio re-sent in a new client session after reconnection Pads :input Accepted formats: FLAC Direction: :input Availability: :always Flow control: :manual Demand unit: :buffers","ref":"Membrane.Element.GCloud.SpeechToText.html","title":"Membrane.Element.GCloud.SpeechToText","type":"module"},{"doc":"Returns description of options available for this module","ref":"Membrane.Element.GCloud.SpeechToText.html#options/0","title":"Membrane.Element.GCloud.SpeechToText.options/0","type":"function"},{"doc":"Struct containing options for Membrane.Element.GCloud.SpeechToText","ref":"Membrane.Element.GCloud.SpeechToText.html#t:t/0","title":"Membrane.Element.GCloud.SpeechToText.t/0","type":"type"},{"doc":"This package provides a Sink wrapping Google Cloud Speech To Text Streaming API client . Currently supports only audio streams in FLAC format. The docs can be found at HexDocs .","ref":"readme.html","title":"Membrane Multimedia Framework: GCloud Speech To Text","type":"extras"},{"doc":"The package can be installed by adding membrane_element_gcloud_speech_to_text to your list of dependencies in mix.exs : def deps do [ { :membrane_element_gcloud_speech_to_text , &quot;~&gt; 0.9.0&quot; } ] end","ref":"readme.html#installation","title":"Membrane Multimedia Framework: GCloud Speech To Text - Installation","type":"extras"},{"doc":"To use the element you need a config/config.exs file with Google credentials: use Mix.Config config :goth , json : &quot;a_path/to/google/credentials/creds.json&quot; |&gt; File . read! ( ) More info on how to configure credentials can be found in README of Goth library used for authentication.","ref":"readme.html#configuration","title":"Membrane Multimedia Framework: GCloud Speech To Text - Configuration","type":"extras"},{"doc":"The input stream for this element should be parsed, so most of the time it should be placed in pipeline right after FLACParser Here's an example of pipeline streaming audio file to speech recognition API: defmodule SpeechRecognition do use Membrane.Pipeline alias Google.Cloud.Speech.V1.StreamingRecognizeResponse alias Membrane.Element . { File , FLACParser , GCloud } @impl true def handle_init ( _ ) do links = [ child ( :src , % File.Source { location : &quot;sample.flac&quot; } ) |&gt; child ( :parser , FLACParser ) |&gt; child ( :sink , % GCloud.SpeechToText { interim_results : false , language_code : &quot;en-GB&quot; , word_time_offsets : true } ) ] { [ spec : links ] , %{ } } end @impl true def handle_notification ( % StreamingRecognizeResponse { } = response , _element , _ctx , state ) do IO . inspect ( response ) { [ ] , state } end @impl true def handle_notification ( _notification , _element , _ctx , state ) do { [ ] , state } end end The pipeline also requires a config file and the following dependencies: [ { :membrane_core , &quot;~&gt; 0.11.0&quot; } , { :membrane_file_plugin , &quot;~&gt; 0.13.0&quot; } , { :membrane_flac_plugin , &quot;~&gt; 0.9.0&quot; } , { :membrane_element_gcloud_speech_to_text , &quot;~&gt; 0.9.0&quot; } ]","ref":"readme.html#usage","title":"Membrane Multimedia Framework: GCloud Speech To Text - Usage","type":"extras"},{"doc":"Tests tagged :external are excluded by default since they contact the real API and require configuration of credentials. See Configuration","ref":"readme.html#testing","title":"Membrane Multimedia Framework: GCloud Speech To Text - Testing","type":"extras"},{"doc":"A recording fragment in test/fixtures comes from an audiobook &quot;The adventures of Sherlock Holmes (version 2)&quot; available on LibriVox","ref":"readme.html#fixture","title":"Membrane Multimedia Framework: GCloud Speech To Text - Fixture","type":"extras"},{"doc":"Copyright 2019, Software Mansion Licensed under the Apache License, Version 2.0","ref":"readme.html#copyright-and-license","title":"Membrane Multimedia Framework: GCloud Speech To Text - Copyright and License","type":"extras"},{"doc":"Apache License Version 2.0, January 2004 http://www.apache.org/licenses/ TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION 1. Definitions. &quot;License&quot; shall mean the terms and conditions for use, reproduction, and distribution as defined by Sections 1 through 9 of this document. &quot;Licensor&quot; shall mean the copyright owner or entity authorized by the copyright owner that is granting the License. &quot;Legal Entity&quot; shall mean the union of the acting entity and all other entities that control, are controlled by, or are under common control with that entity. For the purposes of this definition, &quot;control&quot; means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity. &quot;You&quot; (or &quot;Your&quot;) shall mean an individual or Legal Entity exercising permissions granted by this License. &quot;Source&quot; form shall mean the preferred form for making modifications, including but not limited to software source code, documentation source, and configuration files. &quot;Object&quot; form shall mean any form resulting from mechanical transformation or translation of a Source form, including but not limited to compiled object code, generated documentation, and conversions to other media types. &quot;Work&quot; shall mean the work of authorship, whether in Source or Object form, made available under the License, as indicated by a copyright notice that is included in or attached to the work (an example is provided in the Appendix below). &quot;Derivative Works&quot; shall mean any work, whether in Source or Object form, that is based on (or derived from) the Work and for which the editorial revisions, annotations, elaborations, or other modifications represent, as a whole, an original work of authorship. For the purposes of this License, Derivative Works shall not include works that remain separable from, or merely link (or bind by name) to the interfaces of, the Work and Derivative Works thereof. &quot;Contribution&quot; shall mean any work of authorship, including the original version of the Work and any modifications or additions to that Work or Derivative Works thereof, that is intentionally submitted to Licensor for inclusion in the Work by the copyright owner or by an individual or Legal Entity authorized to submit on behalf of the copyright owner. For the purposes of this definition, &quot;submitted&quot; means any form of electronic, verbal, or written communication sent to the Licensor or its representatives, including but not limited to communication on electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, the Licensor for the purpose of discussing and improving the Work, but excluding communication that is conspicuously marked or otherwise designated in writing by the copyright owner as &quot;Not a Contribution.&quot; &quot;Contributor&quot; shall mean Licensor and any individual or Legal Entity on behalf of whom a Contribution has been received by Licensor and subsequently incorporated within the Work. 2. Grant of Copyright License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable copyright license to reproduce, prepare Derivative Works of, publicly display, publicly perform, sublicense, and distribute the Work and such Derivative Works in Source or Object form. 3. Grant of Patent License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this section) patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer the Work, where such license applies only to those patent claims licensable by such Contributor that are necessarily infringed by their Contribution(s) alone or by combination of their Contribution(s) with the Work to which such Contribution(s) was submitted. If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Work or a Contribution incorporated within the Work constitutes direct or contributory patent infringement, then any patent licenses granted to You under this License for that Work shall terminate as of the date such litigation is filed. 4. Redistribution. You may reproduce and distribute copies of the Work or Derivative Works thereof in any medium, with or without modifications, and in Source or Object form, provided that You meet the following conditions: (a) You must give any other recipients of the Work or Derivative Works a copy of this License; and (b) You must cause any modified files to carry prominent notices stating that You changed the files; and (c) You must retain, in the Source form of any Derivative Works that You distribute, all copyright, patent, trademark, and attribution notices from the Source form of the Work, excluding those notices that do not pertain to any part of the Derivative Works; and (d) If the Work includes a &quot;NOTICE&quot; text file as part of its distribution, then any Derivative Works that You distribute must include a readable copy of the attribution notices contained within such NOTICE file, excluding those notices that do not pertain to any part of the Derivative Works, in at least one of the following places: within a NOTICE text file distributed as part of the Derivative Works; within the Source form or documentation, if provided along with the Derivative Works; or, within a display generated by the Derivative Works, if and wherever such third-party notices normally appear. The contents of the NOTICE file are for informational purposes only and do not modify the License. You may add Your own attribution notices within Derivative Works that You distribute, alongside or as an addendum to the NOTICE text from the Work, provided that such additional attribution notices cannot be construed as modifying the License. You may add Your own copyright statement to Your modifications and may provide additional or different license terms and conditions for use, reproduction, or distribution of Your modifications, or for any such Derivative Works as a whole, provided Your use, reproduction, and distribution of the Work otherwise complies with the conditions stated in this License. 5. Submission of Contributions. Unless You explicitly state otherwise, any Contribution intentionally submitted for inclusion in the Work by You to the Licensor shall be under the terms and conditions of this License, without any additional terms or conditions. Notwithstanding the above, nothing herein shall supersede or modify the terms of any separate license agreement you may have executed with Licensor regarding such Contributions. 6. Trademarks. This License does not grant permission to use the trade names, trademarks, service marks, or product names of the Licensor, except as required for reasonable and customary use in describing the origin of the Work and reproducing the content of the NOTICE file. 7. Disclaimer of Warranty. Unless required by applicable law or agreed to in writing, Licensor provides the Work (and each Contributor provides its Contributions) on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including, without limitation, any warranties or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE. You are solely responsible for determining the appropriateness of using or redistributing the Work and assume any risks associated with Your exercise of permissions under this License. 8. Limitation of Liability. In no event and under no legal theory, whether in tort (including negligence), contract, or otherwise, unless required by applicable law (such as deliberate and grossly negligent acts) or agreed to in writing, shall any Contributor be liable to You for damages, including any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or out of the use or inability to use the Work (including but not limited to damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses), even if such Contributor has been advised of the possibility of such damages. 9. Accepting Warranty or Additional Liability. While redistributing the Work or Derivative Works thereof, You may choose to offer, and charge a fee for, acceptance of support, warranty, indemnity, or other liability obligations and/or rights consistent with this License. However, in accepting such obligations, You may act only on Your own behalf and on Your sole responsibility, not on behalf of any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against, such Contributor by reason of your accepting any such warranty or additional liability. END OF TERMS AND CONDITIONS APPENDIX: How to apply the Apache License to your work. To apply the Apache License to your work, attach the following boilerplate notice, with the fields enclosed by brackets &quot;[]&quot; replaced with your own identifying information. (Don't include the brackets!) The text should be enclosed in the appropriate comment syntax for the file format. We also recommend that a file or class name and description of purpose be included on the same &quot;printed page&quot; as the copyright notice for easier identification within third-party archives. Copyright 2019 Software Mansion Licensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.","ref":"license.html","title":"LICENSE","type":"extras"}]